summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-07-21 03:04:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-07-21 03:04:37 -0500
commit805088e14f2164ec415b97288657da8492869f97 (patch)
tree88ee58152921ddf6bef7248fce98099789b33d14 /dev-ruby
parent72e61757ad18b354c7e086543f02375857946e03 (diff)
downloadbaldeagleos-repo-805088e14f2164ec415b97288657da8492869f97.tar.gz
baldeagleos-repo-805088e14f2164ec415b97288657da8492869f97.tar.xz
baldeagleos-repo-805088e14f2164ec415b97288657da8492869f97.zip
Adding metadata
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/arel-helpers/arel-helpers-2.17.0.ebuild4
-rw-r--r--dev-ruby/fuubar/fuubar-2.5.1-r1.ebuild4
-rw-r--r--dev-ruby/itextomml/itextomml-1.6.1-r1.ebuild2
-rw-r--r--dev-ruby/pairing_heap/pairing_heap-3.1.0.ebuild4
-rw-r--r--dev-ruby/sus-fixtures-time/sus-fixtures-time-0.1.0.ebuild4
-rw-r--r--dev-ruby/term-ansicolor/term-ansicolor-1.11.3-r1.ebuild38
-rw-r--r--dev-ruby/unicode-emoji/unicode-emoji-4.0.4.ebuild4
7 files changed, 49 insertions, 11 deletions
diff --git a/dev-ruby/arel-helpers/arel-helpers-2.17.0.ebuild b/dev-ruby/arel-helpers/arel-helpers-2.17.0.ebuild
index 2610fd048f65..ce693e6d706f 100644
--- a/dev-ruby/arel-helpers/arel-helpers-2.17.0.ebuild
+++ b/dev-ruby/arel-helpers/arel-helpers-2.17.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby32 ruby33"
+USE_RUBY="ruby32 ruby33 ruby34"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
diff --git a/dev-ruby/fuubar/fuubar-2.5.1-r1.ebuild b/dev-ruby/fuubar/fuubar-2.5.1-r1.ebuild
index 69a9928ddcc0..d0efdd43e836 100644
--- a/dev-ruby/fuubar/fuubar-2.5.1-r1.ebuild
+++ b/dev-ruby/fuubar/fuubar-2.5.1-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_EXTRADOC="README.md"
RUBY_FAKEGEM_BINWRAP=""
diff --git a/dev-ruby/itextomml/itextomml-1.6.1-r1.ebuild b/dev-ruby/itextomml/itextomml-1.6.1-r1.ebuild
index 9cb8726710b2..90505b9b17e0 100644
--- a/dev-ruby/itextomml/itextomml-1.6.1-r1.ebuild
+++ b/dev-ruby/itextomml/itextomml-1.6.1-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
RUBY_FAKEGEM_EXTRADOC="README"
RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb)
diff --git a/dev-ruby/pairing_heap/pairing_heap-3.1.0.ebuild b/dev-ruby/pairing_heap/pairing_heap-3.1.0.ebuild
index 2bf27e375ee1..04d470225342 100644
--- a/dev-ruby/pairing_heap/pairing_heap-3.1.0.ebuild
+++ b/dev-ruby/pairing_heap/pairing_heap-3.1.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby32 ruby33 ruby34"
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
RUBY_FAKEGEM_BINWRAP=""
RUBY_FAKEGEM_EXTRADOC="README.md"
diff --git a/dev-ruby/sus-fixtures-time/sus-fixtures-time-0.1.0.ebuild b/dev-ruby/sus-fixtures-time/sus-fixtures-time-0.1.0.ebuild
index 30681e79805a..74eb40367099 100644
--- a/dev-ruby/sus-fixtures-time/sus-fixtures-time-0.1.0.ebuild
+++ b/dev-ruby/sus-fixtures-time/sus-fixtures-time-0.1.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2022-2025 Gentoo Authors
+# Copyright 2022-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
RUBY_FAKEGEM_EXTRADOC="readme.md"
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
diff --git a/dev-ruby/term-ansicolor/term-ansicolor-1.11.3-r1.ebuild b/dev-ruby/term-ansicolor/term-ansicolor-1.11.3-r1.ebuild
new file mode 100644
index 000000000000..95bc508dfdf9
--- /dev/null
+++ b/dev-ruby/term-ansicolor/term-ansicolor-1.11.3-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="term-ansicolor.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Small Ruby library that colors strings using ANSI escape sequences"
+HOMEPAGE="https://github.com/flori/term-ansicolor"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~x64-macos ~x64-solaris"
+
+ruby_add_rdepend ">=dev-ruby/tins-1.0"
+
+all_ruby_prepare() {
+ sed -e '/simplecov/I s:^:#:' \
+ -i tests/test_helper.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:tests -e 'Dir["tests/*_test.rb"].each{|f| require f}' || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ docinto examples
+ dodoc examples/*
+}
diff --git a/dev-ruby/unicode-emoji/unicode-emoji-4.0.4.ebuild b/dev-ruby/unicode-emoji/unicode-emoji-4.0.4.ebuild
index 2350418e420b..5df58d6a806f 100644
--- a/dev-ruby/unicode-emoji/unicode-emoji-4.0.4.ebuild
+++ b/dev-ruby/unicode-emoji/unicode-emoji-4.0.4.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
RUBY_FAKEGEM_EXTRAINSTALL="data"